# $Revision: 1.34 $, $Date: 2012/07/01 21:13:43 $
Summary:	Interactive spelling corrector with ispell
Summary(pl.UTF-8):	Interakcyjny korektor pisowni używający ispella
Name:		xemacs-ispell-pkg
%define 	srcname	ispell
Version:	1.32
Release:	4
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	http://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	0eceb13fd90b388f744f04bbf83fe4a1
Patch0:		%{name}-info.patch
Patch1:		%{name}-xml.patch
URL:		http://www.xemacs.org/
BuildRequires:	texinfo
BuildRequires:	xemacs
Requires:	ispell
Requires:	xemacs
Conflicts:	xemacs-sumo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interactive spelling corrector with ispell.

%description -l pl.UTF-8
Interakcyjny korektor pisowni używający ispella.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

%build
xemacs -batch -q -no-site-file -f batch-byte-compile lisp/ispell/ispell.el

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_datadir}/xemacs-packages/lisp/ispell/ChangeLog
%doc %{_datadir}/xemacs-packages/info/ispell.info
%doc %{_datadir}/xemacs-packages/man/ispell
%doc %{_datadir}/xemacs-packages/pkginfo/MANIFEST.ispell
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-ispell-pkg.spec,v $
Revision 1.34  2012/07/01 21:13:43  baggins
- rel 4
- package entire internal man directory

Revision 1.33  2011/09/09 17:59:36  arekm
- release 3

Revision 1.32  2011/07/15 12:11:26  marti
- all docs are now packaged

Revision 1.31  2007/04/06 22:45:16  qboosh
- changed Source0 to http as ftp no longer works

Revision 1.30  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.28  2006/10/09 06:30:52  piti
- up to 1.32

Revision 1.27  2004/12/20 18:58:10  qboosh
- BR: texinfo

Revision 1.26  2004/09/19 22:09:07  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.25  2003/11/26 14:25:48  speedy
updated to  1.26

Revision 1.24  2003/09/09 10:24:59  ankry
- spaces -> tab

Revision 1.23  2003/05/28 13:03:05  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:28:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.20  2002/11/30 23:00:30  juandon
- new %%doc

Revision 1.19  2002/04/14 12:26:57  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.18  2002/02/23 05:20:03  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:30:04  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/17 15:53:10  kloczek
- updated to 1.24.

Revision 1.15  2002/01/18 02:15:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/09/18 21:29:18  blues
- added xemacs to buildrequires

Revision 1.13  2001/08/20 21:49:09  kloczek
- updated to 1.23.

Revision 1.12  2001/04/23 16:24:48  klakier
- typo

Revision 1.11  2001/03/25 11:56:46  klakier
- added patch to enable tags omitting in xml-mode (so far only sgml-mode
  and html-mode were recognized)

Revision 1.10  2001/03/05 17:24:29  misiek
requires: ispell; removed info file (it's provided by ispell package); rel 2; stb

Revision 1.9  2001/02/13 18:17:55  mis
- updated to 1.22

Revision 1.8  2000/12/22 03:12:59  kloczek
- spec adapterized,
- fixed Summary and added %description,
- added info patch (added also texinfo to BuildRequires and %post, %preun
  scriptd with updating info dir file).

Revision 1.7  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.6  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:19  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:39:23  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
